Sign in to follow this  
Pete Dowson

FSUIPC for Prepar3D version 2.3

Recommended Posts

Please note that Prepar3D version 2.3 is now properly supported by FSUIPC version 4.936, which is also now the earliest supported version 4.

 

Available in the usual places (my Support Forum, in "Download Links", and on the Schiratti page).

 

Regards

Pete Dowson

 

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Not sure what it is, but properly calibrating my Saitek throttle/prop/mix without FSUIPC is nearly impossible in P3D. It seems like I can't achieve the full range. Whatever, doesnt matter anymore. Thanks!

Share this post


Link to post

Thank you will install tonight. Hope this works for FSX as well? I had to remove FSUIPC in FSX as it kept crashing FSX when I started it. Will post error window on your forum.

Share this post


Link to post

Does anyone have the link to this ver for p3d. I don't see it on Pete's pages.

Share this post


Link to post

Does anyone have the link to this ver for p3d. I don't see it on Pete's pages.

 

Me neither.

Share this post


Link to post

Does anyone have the link to this ver for p3d. I don't see it on Pete's pages.

 

The website has not been updated but if you download the ZIP, it is indeed the new FSUIPC.

Share this post


Link to post

It looks like you were frustrated with P3D 2.3, but your support for it by distributing a quick FSUIPC update is much appreciated

 

Thanks!

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this